﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Settings.ascx.cs" Inherits="ByTutorial.Modules.ContactForm.Settings" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<script type="text/javascript">
    $(function () {
        setRowVisible();
        $("[id$=ddAuthenticationType]").on("change", function (event) {
            setRowVisible();
        });
    });

    function setRowVisible() {
        $("#rowUsername").hide();
        $("#rowPassword").hide();
        if ($("[id$=ddAuthenticationType]").val() == "1") {
            $("#rowUsername").show();
            $("#rowPassword").show();
        }
    }
</script>
<div class="row">
    <label><dnn:Label id="lblDomainName" runat="server" Text="Domain Name" /></label>
    <asp:Literal ID="litDomainName" runat="server" />
</div>

<div class="row">
    <label><dnn:Label id="lblVersion" runat="server" Text="Module Version" /></label>
    <asp:Literal ID="litVersion" runat="server" />
</div>

<div class="row">
    <label><dnn:Label id="lblLicenseKey" runat="server" Text="License Key" /></label>
    <asp:TextBox ID="txtLicenseKey" runat="server"  />
</div>

<div class="row">
    <label><dnn:Label id="lblSMTPAuthenticationType" runat="server" Text="Autentication Type" /></label>
    <asp:DropDownList ID="ddAuthenticationType" runat="server"  />
</div>

<div class="row">
    <label><dnn:Label id="lblSMTPServer" runat="server" Text="SMTP Server" /></label>
    <asp:TextBox ID="txtSMTPServer" runat="server"  />
</div>

<div class="row" id="rowUsername">
    <label><dnn:Label id="lblSMTPUsername" runat="server" Text="SMTP Username" /></label>
    <asp:TextBox ID="txtSMTPUsername" runat="server"  />
</div>

<div class="row" id="rowPassword">
    <label><dnn:Label id="lblSMTPPassword" runat="server" Text="SMTP Password" /></label>
    <asp:TextBox ID="txtSMTPPassword" runat="server" TextMode="Password"  />
</div>

<div class="row">
    <label><dnn:Label id="lblFromEmailAddress" runat="server" Text="From Email Address" /></label>
    <asp:TextBox ID="txtFromEmailAddress" runat="server"  />
</div>

<div class="row">
    <label><dnn:Label id="lblToEmailAddress" runat="server" Text="To Email Address" /></label>
    <asp:TextBox ID="txtToEmailAddress" runat="server"  />
</div>

<div class="row">
    <label><dnn:Label id="lblBCCEmailAddress" runat="server" Text="BCC Email Address" /></label>
    <asp:TextBox ID="txtBCCEmailAddress" runat="server"  />
</div>

<div class="row">
    <label><dnn:Label id="lblUseSSL" runat="server" Text="Use SSL" /></label>
    <asp:Checkbox ID="chkUseSSL" runat="server"  />
</div>

<div class="row">
    <label><dnn:Label id="lblMakeContactRequired" runat="server" Text="Make Contact Required" /></label>
    <asp:Checkbox ID="chkContactRequired" runat="server"  />
</div>

<div class="row">
    <label><dnn:Label id="lblUseCaptcha" runat="server" Text="Use Captcha" /></label>
    <asp:Checkbox ID="chkUseCaptcha" runat="server"  />
</div>

<div class="row">
    <label><dnn:Label id="lblHeadingText" runat="server" Text="Heading Text" /></label>
    <asp:TextBox ID="txtHeadingText" runat="server"  TextMode="MultiLine" Rows="5" Columns="40" />
</div>

<div class="row">
    <label><dnn:Label id="lblThankYouMessage" runat="server" Text="Thank you message" /></label>
    <asp:TextBox ID="txtThankYouMessage" runat="server"  TextMode="MultiLine" Rows="5" Columns="40" />
</div>
