﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="View.ascx.cs" Inherits="ByTutorial.Modules.ContactForm.View" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<asp:Literal ID="litModule" runat="server" />
<asp:Panel ID="pnlForm" runat="server" Visible="false">
    <div id="contact-form">
        <div id="contact-form-inside">
            <div class='heading-text'><asp:Literal ID="litHeadingText" runat="server" /></div>
            <div class="row-input">
                <label><dnn:Label id="lblName" runat="server" Text="Name" /></label>
                <input type="text" id="txtName" class="required" runat="server"/>
            </div>
            <div class="row-input">
                <label><dnn:Label id="lblSubject" runat="server" Text="Subject" /></label>
                <input type="text" id="txtSubject" class="required" runat="server"/>
            </div>
            <div class="row-input">
                <label><dnn:Label id="lblEmail" runat="server" Text="Email" /></label>
                <input type="text" id="txtEmail" class="required email" runat="server"/>
            </div>
            <div class="row-input">
                <label><dnn:Label id="lblPhone" runat="server" Text="Phone" /></label>
                <input type="text" id="txtPhone" class="required" runat="server"/>
            </div>
            <div class="row-input">
                <label><dnn:Label id="lblMessage" runat="server" Text="Message" /></label>
                <textarea id="txtMessage" class="required" runat="server"></textarea>
            </div>
            <div class="row-input captcha-input">
                <label><dnn:Label id="lblCaptchaCode" runat="server" Text="Captcha Code" /></label>
                <div id="captcha-code"></div>
            </div>
            <div class="row-input captcha-input">
                <label><dnn:Label id="lblEnterCode" runat="server" Text="Enter Code" /></label>
                <input type="text" id="txtCaptchaCode" class="required small-input" maxlength="6"  runat="server"/>
            </div>
            <div class="row-input">
                <input type="button" class="action-button button-form" id="btnSendForm" value="Submit" runat="server"/>
            </div>
        </div>
        <div id="message" class="m-top"></div>
    </div>
</asp:Panel>